Hi, I'm Ask INFA!
What would you like to know?
ASK INFAPreview
Please to access Ask INFA.

Table of Contents

Search

  1. Introduction
  2. Define settings for data collections
  3. Manage Data Marketplace content
  4. Manage data collections
  5. Manage requests, orders and consumer accesses
  6. Miscellaneous APIs
  7. Frequently Asked Questions

API Reference

API Reference

Input Field properties

Input Field properties

In
Application Integration
, define the service properties and input properties for the system service action that you want to create.
The following table describes how to configure the
Service
properties for a system service action to call a
Data Marketplace
API:
Property
Description
Service Type
Select
System Service
as the service type.
Action
Select
Execute Data Marketplace API
as the action.
The following table describes how to configure the
Input Field
properties for a system service action to call a
Data Marketplace
API:
Property
Description
HTTP Method
Enter one of the following methods to invoke the
Data Marketplace
API:
  • GET
  • PUT
  • PATCH
  • POST
Relative Path
Enter the relative path of the API that you want to invoke.
You can use an API endpoint to discover the relative path. Consider the following examples:
  • For the API endpoint
    /api/v1/integration/categories
    , the relative path is
    categories
    .
  • For the API endpoint
    /api/v1/integration/provisioning/deliveryFormats
    , the relative path is
    provisioning/deliveryFormats
    .
  • For the API endpoint
    /api/v1/integration/orders/<orderId>/fulfill
    , the relative path is
    orders/<orderId>/fulfill
    .
Query parameter
If the
Data Marketplace
API that you want to invoke requires you to specify query parameters, you can enter the query parameters in XML format.
The following example shows how you must enter the query parameters:
<DataMarketplaceQueryParameters> <queryParams> <name>deliveryTargetId</name> <value>6ddc722a-a4e3-4738-8880-913af86204b2</value> </queryParams> <queryParams> <name>comment</name> <value><p>Fulfilled</p></value> </queryParams> </DataMarketplaceQueryParameters>
Path variables
If the
Data Marketplace
API that you want to invoke requires you to specify path variables, you can enter the path variables in XML format.
The following example shows how you must enter the path variables:
<DataMarketplacePathVariables> <pathVariables> <name>orderId</name> <value>6ddc722a-a4e3-4738-8880-913af86204b2</value> </pathVariables> </DataMarketplacePathVariables>
Payload
If an API call requires a payload, enter the payload information within single quotations.
The following example shows how you must enter the payload information for an API call:
‘{ "items": [ { "refId": "3d0af52d-4ed1-44e2-9e09-ea9e3a77baaa", "name": "CreateUsageContext1", "description": "desc", "status": "ACTIVE" }, { "refId": "3d0-jsnbj-52d-4ed1-44e2-9e09-ea9e3a77a", "name": "CreateUsageContext2", "description": "desc", "status": "INACTIVE" } ] }’
For more information about the
Input Field
properties, see the
Input Field Properties
topic in the
Design
help in
Application Integration
.

0 COMMENTS

We’d like to hear from you!